Bug 1008046 - RFE: [exportfs] if specify Invalid exporting option, output usage to user.
RFE: [exportfs] if specify Invalid exporting option, output usage to user.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: nfs-utils (Show other bugs)
6.5
All Linux
medium Severity low
: rc
: ---
Assigned To: Steve Dickson
Yongcheng Yang
: FutureFeature
Depends On: 1008045 1008047
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-13 20:03 EDT by Yin.JianHong
Modified: 2017-05-01 23:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 1008045
Environment:
Last Closed: 2017-05-01 23:52:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yin.JianHong 2013-09-13 20:03:32 EDT
+++ This bug was initially created as a clone of Bug #1008045 +++

Description of problem:
RFE: [exportfs] if specify Invalid exporting option, output usage to user.

Version-Release number of selected component (if applicable):
[root@dhcp12-185 ~]# lsb_release -sir; rpm -q nfs-utils
RedHatEnterpriseServer 7.0
nfs-utils-1.2.8-2.0.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. exportfs  '*/home'
2. just output error info, not give usage info to user.
3.

Actual results:
[root@dhcp12-185 ~]# res=$(exportfs  '*/home' 2>&1 -x)
[root@dhcp12-185 ~]# echo $? $res
1 exportfs: invalid option -- 'x' usage: exportfs [-afhioruv] [host:/path]

[root@dhcp12-185 ~]# res=$(exportfs  '*/home' 2>&1 )
[root@dhcp12-185 ~]# echo $? $res
0 exportfs: Invalid exporting option: */home <<<--- should output usage also.

Expected results:


Additional info:
Comment 1 Yin.JianHong 2013-09-13 20:09:47 EDT
[root@dhcp-13-188 ~]# exportfs  -u  '*/home'
exportfs: Invalid unexporting option: */home
[root@dhcp-13-188 ~]# exportfs   '*/home'
exportfs: Invalid exporting option: */home
Comment 3 RHEL Product and Program Management 2013-10-13 22:11:11 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 4 Yongcheng Yang 2017-05-01 23:52:21 EDT
Closing this one as rhel-5 does (Bug 1008047 Comment 3) as NO upstream patch nor NO customer concerns this issue.

Feel free to reopen if there's any concern or we has patch to fix it.

Note You need to log in before you can comment on or make changes to this bug.